[Debian-live-changes] r1392 - in dists/trunk/live-helper: docs helpers manpages

Daniel Baumann daniel at alioth.debian.org
Tue May 8 09:05:29 UTC 2007


Author: daniel
Date: 2007-05-08 09:05:28 +0000 (Tue, 08 May 2007)
New Revision: 1392

Added:
   dists/trunk/live-helper/helpers/lh_binary_linux-image
   dists/trunk/live-helper/helpers/lh_chroot_linux-image
Removed:
   dists/trunk/live-helper/helpers/lh_binary_linuximage
   dists/trunk/live-helper/helpers/lh_chroot_linuximage
Modified:
   dists/trunk/live-helper/docs/README
   dists/trunk/live-helper/helpers/lh_binary
   dists/trunk/live-helper/helpers/lh_chroot
   dists/trunk/live-helper/manpages/lh_binary.1.de
   dists/trunk/live-helper/manpages/lh_binary.1.en
   dists/trunk/live-helper/manpages/lh_chroot.1.de
   dists/trunk/live-helper/manpages/lh_chroot.1.en
   dists/trunk/live-helper/manpages/live-helper.7.de
   dists/trunk/live-helper/manpages/live-helper.7.en
Log:


Modified: dists/trunk/live-helper/docs/README
===================================================================
--- dists/trunk/live-helper/docs/README	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/docs/README	2007-05-08 09:05:28 UTC (rev 1392)
@@ -13,7 +13,7 @@
       |_ lh_chroot_resolv install
       |_ lh_chroot_apt install
       |_ lh_chroot_sources install
-      |_ lh_chroot_linuximage install
+      |_ lh_chroot_linux-image install
       |
       |_ lh_chroot_tasks
       |_ lh_chroot_packageslists
@@ -29,7 +29,7 @@
       |_ lh_chroot_symlinks
       |_ lh_chroot_interactive
       |
-      |_ lh_chroot_linuximage remove
+      |_ lh_chroot_linux-image remove
       |_ lh_chroot_sources remove
       |_ lh_chroot_apt remove
       |_ lh_chroot_resolv remove
@@ -52,7 +52,7 @@
       |_ lh_binary_manifest
       |_ lh_binary_encryption
       |
-      |_ lh_binary_linuximage
+      |_ lh_binary_linux-image
       |_ lh_binary_memtest86
       |_ lh_binary_grub
       |_ lh_binary_syslinux

Modified: dists/trunk/live-helper/helpers/lh_binary
===================================================================
--- dists/trunk/live-helper/helpers/lh_binary	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/helpers/lh_binary	2007-05-08 09:05:28 UTC (rev 1392)
@@ -41,7 +41,7 @@
 lh_binary_encryption ${*}
 
 # Prepare images
-lh_binary_linuximage ${*}
+lh_binary_linux-image ${*}
 lh_binary_debian-installer ${*}
 lh_binary_memtest ${*}
 lh_binary_grub ${*}

Copied: dists/trunk/live-helper/helpers/lh_binary_linux-image (from rev 1391, dists/trunk/live-helper/helpers/lh_binary_linuximage)
===================================================================
--- dists/trunk/live-helper/helpers/lh_binary_linuximage	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/helpers/lh_binary_linux-image	2007-05-08 09:05:28 UTC (rev 1392)
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# lh_binary_linux-image(1) - install linux-image into binary
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+	. ${FUNCTION}
+done
+
+# Set static variables
+DESCRIPTION="install linux-image into binary"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+Echo_debug "Init ${PROGRAM}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+Breakpoint "binary_linux-image: Init"
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/binary_linux-image
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Removing initrd backup files
+rm -f chroot/boot/initrd*bak*
+
+# Setting destination directory
+case "${LIVE_BINARY_IMAGE}" in
+	iso)
+		DESTDIR="binary/live"
+		;;
+
+	net)
+		DESTDIR="tftpboot"
+		;;
+
+	usb-hdd|hdd)
+		DESTDIR="binary/live"
+		;;
+esac
+
+# Temporary check for broken syslinux
+if [ "${LIVE_BINARY_IMAGE}" = "iso" ]
+then
+	# Assemble multi-arch
+	if [ -n "${MULTIARCH}" ]
+	then
+		case "${LIVE_ARCHITECTURE}" in
+			amd64)
+				DESTDIR="${DESTDIR}.amd"
+				;;
+
+			i386)
+				DESTDIR="${DESTDIR}.386"
+				;;
+
+			powerpc)
+				DESTDIR="${DESTDIR}.ppc"
+				;;
+		esac
+	fi
+fi
+
+# Creating directory
+if [ ! -d "${DESTDIR}" ]
+then
+	mkdir -p "${DESTDIR}"
+fi
+
+# Installing linux-image
+cp chroot/boot/vmlinuz* "${DESTDIR}"
+cp chroot/boot/initrd.img* "${DESTDIR}"
+
+# Creating stage file
+Create_stagefile .stage/binary_linux-image

Deleted: dists/trunk/live-helper/helpers/lh_binary_linuximage
===================================================================
--- dists/trunk/live-helper/helpers/lh_binary_linuximage	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/helpers/lh_binary_linuximage	2007-05-08 09:05:28 UTC (rev 1392)
@@ -1,100 +0,0 @@
-#!/bin/sh
-
-# lh_binary_linuximage(1) - install linux-image into binary
-# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
-#
-# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
-# This is free software, and you are welcome to redistribute it
-# under certain conditions; see COPYING for details.
-
-set -e
-
-# Source common functions
-for FUNCTION in /usr/share/live-helper/functions/*.sh
-do
-	. ${FUNCTION}
-done
-
-# Set static variables
-DESCRIPTION="install linux-image into binary"
-HELP=""
-USAGE="${PROGRAM} [--force]"
-
-Arguments "${@}"
-
-Echo_debug "Init ${PROGRAM}"
-
-# Reading configuration files
-Read_conffile config/common
-Read_conffile config/bootstrap
-Read_conffile config/chroot
-Read_conffile config/binary
-Read_conffile config/source
-Set_defaults
-
-Breakpoint "binary_linuximage: Init"
-
-# Requiring stage file
-Require_stagefile .stage/bootstrap
-
-# Checking stage file
-Check_stagefile .stage/binary_linuximage
-
-# Checking lock file
-Check_lockfile .lock
-
-# Creating lock file
-Create_lockfile .lock
-
-# Removing initrd backup files
-rm -f chroot/boot/initrd*bak*
-
-# Setting destination directory
-case "${LIVE_BINARY_IMAGE}" in
-	iso)
-		DESTDIR="binary/live"
-		;;
-
-	net)
-		DESTDIR="tftpboot"
-		;;
-
-	usb-hdd|hdd)
-		DESTDIR="binary/live"
-		;;
-esac
-
-# Temporary check for broken syslinux
-if [ "${LIVE_BINARY_IMAGE}" = "iso" ]
-then
-	# Assemble multi-arch
-	if [ -n "${MULTIARCH}" ]
-	then
-		case "${LIVE_ARCHITECTURE}" in
-			amd64)
-				DESTDIR="${DESTDIR}.amd"
-				;;
-
-			i386)
-				DESTDIR="${DESTDIR}.386"
-				;;
-
-			powerpc)
-				DESTDIR="${DESTDIR}.ppc"
-				;;
-		esac
-	fi
-fi
-
-# Creating directory
-if [ ! -d "${DESTDIR}" ]
-then
-	mkdir -p "${DESTDIR}"
-fi
-
-# Installing linux-image
-cp chroot/boot/vmlinuz* "${DESTDIR}"
-cp chroot/boot/initrd.img* "${DESTDIR}"
-
-# Creating stage file
-Create_stagefile .stage/binary_linuximage

Modified: dists/trunk/live-helper/helpers/lh_chroot
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/helpers/lh_chroot	2007-05-08 09:05:28 UTC (rev 1392)
@@ -43,7 +43,7 @@
 lh_chroot_resolv install ${*}
 lh_chroot_apt install ${*}
 lh_chroot_sources install ${*}
-lh_chroot_linuximage install ${*}
+lh_chroot_linux-image install ${*}
 
 # Customizing chroot
 lh_chroot_tasks ${*}
@@ -61,7 +61,7 @@
 lh_chroot_interactive ${*}
 
 # Deconfiguring chroot
-lh_chroot_linuximage remove ${*}
+lh_chroot_linux-image remove ${*}
 lh_chroot_sources remove ${*}
 lh_chroot_apt remove ${*}
 lh_chroot_resolv remove ${*}

Copied: dists/trunk/live-helper/helpers/lh_chroot_linux-image (from rev 1391, dists/trunk/live-helper/helpers/lh_chroot_linuximage)
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_linuximage	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/helpers/lh_chroot_linux-image	2007-05-08 09:05:28 UTC (rev 1392)
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# lh_chroot_linux-image(1) - manage /etc/kernel-img.conf
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+	. ${FUNCTION}
+done
+
+# Set static variables
+DESCRIPTION="manage /etc/kernel-img.conf"
+HELP=""
+USAGE="${PROGRAM} {install|remove} [--force]"
+
+Arguments "${@}"
+
+Echo_debug "Init ${PROGRAM}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+Breakpoint "chroot_linux-image: Init"
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+case "${1}" in
+	install)
+		# Checking stage file
+		Check_stagefile .stage/chroot_linux-image
+
+		# Checking lock file
+		Check_lockfile .lock
+
+		# Creating lock file
+		Create_lockfile .lock
+
+		if [ -f chroot/etc/kernel-img.conf ]
+		then
+			# Saving kernel-img.conf
+			cp chroot/etc/kernel-img.conf chroot/etc/kernel-img.conf.old
+		fi
+
+		# Configuring kernel-img.conf
+cat >> chroot/etc/kernel-img.conf << EOF
+do_bootloader = No
+do_initrd = Yes
+warn_initrd = No
+EOF
+
+		if [ "${LIVE_KERNEL_PACKAGES}" != "none" ]
+		then
+			for FLAVOUR in ${LIVE_KERNEL_FLAVOUR}
+			do
+				for PACKAGE in ${LIVE_KERNEL_PACKAGES}
+				do
+					PACKAGES="${PACKAGES} ${PACKAGE}-${FLAVOUR}"
+				done
+			done
+		fi
+
+		PACKAGES="${PACKAGES} ${LH_INITRAMFS}"
+
+		# Installing linux-image, modules and ${LH_INITRAMFS}
+		case "${LH_APT}" in
+			apt|apt-get)
+				Chroot "apt-get install --yes ${PACKAGES}"
+				;;
+
+			aptitude)
+				Chroot "aptitude install --assume-yes ${PACKAGES}"
+				;;
+		esac
+
+		# Creating stage file
+		Create_stagefile .stage/chroot_linux-image
+		;;
+
+	remove)
+		# Checking lock file
+		Check_lockfile .lock
+
+		# Creating lock file
+		Create_lockfile .lock
+
+		if [ -f chroot/etc/kernel-img.conf.old ]
+		then
+			# Restoring kernel-img.conf file
+			mv chroot/etc/kernel-img.conf.old chroot/etc/kernel-img.conf
+		else
+			# Removing kernel-img.conf file
+			rm -f chroot/etc/kernel-img.conf
+		fi
+
+		# Removing stage file
+		rm -f .stage/chroot_linux-image
+		;;
+
+	*)
+		Usage
+		;;
+esac

Deleted: dists/trunk/live-helper/helpers/lh_chroot_linuximage
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_linuximage	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/helpers/lh_chroot_linuximage	2007-05-08 09:05:28 UTC (rev 1392)
@@ -1,115 +0,0 @@
-#!/bin/sh
-
-# lh_chroot_linuximage(1) - manage /etc/kernel-img.conf
-# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
-#
-# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
-# This is free software, and you are welcome to redistribute it
-# under certain conditions; see COPYING for details.
-
-set -e
-
-# Source common functions
-for FUNCTION in /usr/share/live-helper/functions/*.sh
-do
-	. ${FUNCTION}
-done
-
-# Set static variables
-DESCRIPTION="manage /etc/kernel-img.conf"
-HELP=""
-USAGE="${PROGRAM} {install|remove} [--force]"
-
-Arguments "${@}"
-
-Echo_debug "Init ${PROGRAM}"
-
-# Reading configuration files
-Read_conffile config/common
-Read_conffile config/bootstrap
-Read_conffile config/chroot
-Read_conffile config/binary
-Read_conffile config/source
-Set_defaults
-
-Breakpoint "chroot_linuximage: Init"
-
-# Requiring stage file
-Require_stagefile .stage/bootstrap
-
-case "${1}" in
-	install)
-		# Checking stage file
-		Check_stagefile .stage/chroot_linuximage
-
-		# Checking lock file
-		Check_lockfile .lock
-
-		# Creating lock file
-		Create_lockfile .lock
-
-		if [ -f chroot/etc/kernel-img.conf ]
-		then
-			# Saving kernel-img.conf
-			cp chroot/etc/kernel-img.conf chroot/etc/kernel-img.conf.old
-		fi
-
-		# Configuring kernel-img.conf
-cat >> chroot/etc/kernel-img.conf << EOF
-do_bootloader = No
-do_initrd = Yes
-warn_initrd = No
-EOF
-
-		if [ "${LIVE_KERNEL_PACKAGES}" != "none" ]
-		then
-			for FLAVOUR in ${LIVE_KERNEL_FLAVOUR}
-			do
-				for PACKAGE in ${LIVE_KERNEL_PACKAGES}
-				do
-					PACKAGES="${PACKAGES} ${PACKAGE}-${FLAVOUR}"
-				done
-			done
-		fi
-
-		PACKAGES="${PACKAGES} ${LH_INITRAMFS}"
-
-		# Installing linux-image, modules and ${LH_INITRAMFS}
-		case "${LH_APT}" in
-			apt|apt-get)
-				Chroot "apt-get install --yes ${PACKAGES}"
-				;;
-
-			aptitude)
-				Chroot "aptitude install --assume-yes ${PACKAGES}"
-				;;
-		esac
-
-		# Creating stage file
-		Create_stagefile .stage/chroot_linuximage
-		;;
-
-	remove)
-		# Checking lock file
-		Check_lockfile .lock
-
-		# Creating lock file
-		Create_lockfile .lock
-
-		if [ -f chroot/etc/kernel-img.conf.old ]
-		then
-			# Restoring kernel-img.conf file
-			mv chroot/etc/kernel-img.conf.old chroot/etc/kernel-img.conf
-		else
-			# Removing kernel-img.conf file
-			rm -f chroot/etc/kernel-img.conf
-		fi
-
-		# Removing stage file
-		rm -f .stage/chroot_linuximage
-		;;
-
-	*)
-		Usage
-		;;
-esac

Modified: dists/trunk/live-helper/manpages/lh_binary.1.de
===================================================================
--- dists/trunk/live-helper/manpages/lh_binary.1.de	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/manpages/lh_binary.1.de	2007-05-08 09:05:28 UTC (rev 1392)
@@ -25,7 +25,7 @@
 kopiert Dateien in das Binary\-Image.
 .IP "\fIlh_binary_iso\fR(1)" 4
 erstell das CD/DVD Binary\-Image.
-.IP "\fIlh_binary_linuximage\fR(1)" 4
+.IP "\fIlh_binary_linux-image\fR(1)" 4
 kopiert linux\-image in das Binary\-Image.
 .IP "\fIlh_binary_localincludes\fR(1)" 4
 kopiert lokale Dateien in das Binary\-Image.

Modified: dists/trunk/live-helper/manpages/lh_binary.1.en
===================================================================
--- dists/trunk/live-helper/manpages/lh_binary.1.en	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/manpages/lh_binary.1.en	2007-05-08 09:05:28 UTC (rev 1392)
@@ -25,7 +25,7 @@
 copies files into the binary image.
 .IP "\fIlh_binary_iso\fR(1)" 4
 creates the CD/DVD binary image.
-.IP "\fIlh_binary_linuximage\fR(1)" 4
+.IP "\fIlh_binary_linux-image\fR(1)" 4
 copies linux\-image into the binary image.
 .IP "\fIlh_binary_localincludes\fR(1)" 4
 copies local files into the binary image.

Modified: dists/trunk/live-helper/manpages/lh_chroot.1.de
===================================================================
--- dists/trunk/live-helper/manpages/lh_chroot.1.de	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/manpages/lh_chroot.1.de	2007-05-08 09:05:28 UTC (rev 1392)
@@ -23,7 +23,7 @@
 verwaltet /etc/hosts.
 .IP "\fIlh_chroot_interactive\fR(1)" 4
 macht Bauprozess interaktiv.
-.IP "\fIlh_chroot_linuximage\fR(1)" 4
+.IP "\fIlh_chroot_linux-image\fR(1)" 4
 verwaltet /etc/kernel\-img.conf.
 .IP "\fIlh_chroot_localhooks\fR(1)" 4
 f\[:u]hrt lokale Hooks im chroot aus.

Modified: dists/trunk/live-helper/manpages/lh_chroot.1.en
===================================================================
--- dists/trunk/live-helper/manpages/lh_chroot.1.en	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/manpages/lh_chroot.1.en	2007-05-08 09:05:28 UTC (rev 1392)
@@ -23,7 +23,7 @@
 manages /etc/hosts.
 .IP "\fIlh_chroot_interactive\fR(1)" 4
 makes build interactive.
-.IP "\fIlh_chroot_linuximage\fR(1)" 4
+.IP "\fIlh_chroot_linux-image\fR(1)" 4
 manages /etc/kernel\-img.conf.
 .IP "\fIlh_chroot_localhooks\fR(1)" 4
 executes local hooks in chroot.

Modified: dists/trunk/live-helper/manpages/live-helper.7.de
===================================================================
--- dists/trunk/live-helper/manpages/live-helper.7.de	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/manpages/live-helper.7.de	2007-05-08 09:05:28 UTC (rev 1392)
@@ -41,7 +41,7 @@
 kopiert Dateien in das Binary\-Image.
 .IP "\fIlh_binary_iso\fR(1)" 4
 erstell das CD/DVD Binary\-Image.
-.IP "\fIlh_binary_linuximage\fR(1)" 4
+.IP "\fIlh_binary_linux-image\fR(1)" 4
 kopiert linux\-image in das Binary\-Image.
 .IP "\fIlh_binary_localincludes\fR(1)" 4
 kopiert lokale Dateien in das Binary\-Image.
@@ -83,7 +83,7 @@
 verwaltet /etc/hosts.
 .IP "\fIlh_chroot_interactive\fR(1)" 4
 macht Bauprozess interaktiv.
-.IP "\fIlh_chroot_linuximage\fR(1)" 4
+.IP "\fIlh_chroot_linux-image\fR(1)" 4
 verwaltet /etc/kernel\-img.conf.
 .IP "\fIlh_chroot_localhooks\fR(1)" 4
 f\[:u]hrt lokale Hooks im chroot aus.

Modified: dists/trunk/live-helper/manpages/live-helper.7.en
===================================================================
--- dists/trunk/live-helper/manpages/live-helper.7.en	2007-05-08 09:00:51 UTC (rev 1391)
+++ dists/trunk/live-helper/manpages/live-helper.7.en	2007-05-08 09:05:28 UTC (rev 1392)
@@ -41,7 +41,7 @@
 copies files into the binary image.
 .IP "\fIlh_binary_iso\fR(1)" 4
 creates the CD/DVD binary image.
-.IP "\fIlh_binary_linuximage\fR(1)" 4
+.IP "\fIlh_binary_linux-image\fR(1)" 4
 copies linux\-image into the binary image.
 .IP "\fIlh_binary_localincludes\fR(1)" 4
 copies local files into the binary image.
@@ -83,7 +83,7 @@
 configures /etc/hosts in the chroot.
 .IP "\fIlh_chroot_interactive\fR(1)" 4
 makes build interactive.
-.IP "\fIlh_chroot_linuximage\fR(1)" 4
+.IP "\fIlh_chroot_linux-image\fR(1)" 4
 configures /etc/kernel\-img.conf in the chroot.
 .IP "\fIlh_chroot_localhooks\fR(1)" 4
 executes additional local commands in the chroot.




More information about the Debian-live-changes mailing list